﻿@model ViewModels.Account.SignUpViewModel

@{
    ViewBag.Title = "عضویت";
}
<section class="account-box">
    <div class="container">
        <div class="row line-title-seperator">
            <div class="col-md-4">
                <hr class="line">
            </div>
            <div class="col-md-4">
                <h2 class="title">عضویت</h2>
            </div>
            <div class="col-md-4">
                <hr class="line">
            </div>
        </div>


        <div class="row">
            <div class="col-md-6">

                @using (Html.BeginForm("SignUp", "Home", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)

                    <div class="form-group">
                        @Html.LabelFor(c => c.FullName, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.FullName, new { @class = "form-control", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.FullName)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.PhoneNumber, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.PhoneNumber, new { @class = "form-control ltr", placeholder = "الزامی است - با کد شهر و بدون خط تیره وارد نمایید" })
                        @Html.ValidationMessageFor(c => c.PhoneNumber)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.EmailAddress, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.EmailAddress, new { @class = "form-control ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.EmailAddress)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.Username, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Username, new { @class = "form-control ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.Username)
                    </div>
                    <br />
                    <div class="form-group">
                        @Html.LabelFor(c => c.Password, new { @class = "label-control" })
                        @Html.PasswordFor(c => c.Password, new { @class = "form-control ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.Password)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.RePassword, new { @class = "label-control" })
                        @Html.PasswordFor(c => c.RePassword, new { @class = "form-control ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.RePassword)
                    </div>
                    <div class="form-group">
                        <img src="@Url.Action("Image", "Captcha", new { cc = Model.cc, area = "" })" />

                        <a href="@Url.Action("SignUp", "Home", new { area = "Account" })">
                            <i class="fa fa-refresh"></i>
                        </a>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.Captcha, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Captcha, new { @class = "form-control small-txt ltr", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.Captcha)
                    </div>
                    <br />
                    <div class="form-group">
                        <input class="btn btn-primary" type="submit" value='عضویت' />
                        <br />
                        <hr />
                        <br />
                        @Html.ActionLink("قبلا ثبت نام کرده ام", "SignIn", "Home", new { area = "Account" }, new { @class = "btn btn-success", style = "width:auto;" })
                        &nbsp;&nbsp;
                        @Html.ActionLink("بازگشت به سایت", "Index", "Home", new { area = "" }, new { @class = "btn btn-info", style = "width:auto;" })
                    </div>
                    <input name="cc" type="hidden" value="@Model.cc" />
                }
            </div>

            <div class="col-md-6">
                <div class="alert alert-warning">
                    <div class="txt-center alarm-head"><i class="fa fa-bell-o"></i> <b>توجه</b></div>
                    <ul>
                        @*<li>
                            اگر قبلا در سایت ثبت نام نموده اید، نیاز به ثبت نام مجدد نیست. به راحتی می توانید <a class="blue-link" href="/Account/SignIn">وارد پنل کاربری خود</a> شوید.
                        </li>
                        <li>اگر قبلا ثبت نام نموده اید ولی نام کاربری و یا کلمه عبور خود را فراموش کرده اید، از طریق بخش <a class="blue-link" href="/Account/ForgetPassword">فراموشی کلمه عبور</a> می توانید نام کاربری و کلمه عبور خود را بدست آورید.</li>
                        <li>
                            نام و نام خانوادگی را با حروف فارسی وارد نمایید. اسامی غیر فارسی تایید هویت نمی شوند.
                        </li>*@
                        <li>
                            یک <u>تلفن ثابت معتبر</u> وارد نمایید، جهت فعالیت و انجام معامله در سایت، تایید شماره تلفن ثابت الزامی است.
                        </li>
                        <li>
                            تلفن ثابت را همراه <u>با کد شهر</u> و <u>بدون خط تیره</u> وارد نمایید.
                            <br />
                            مثال: <span class="example">0219998866</span>
                        </li>
                        <li>
                            یک <u>آدرس ایمیل معتبر</u> وارد نمایید. سیستم ورود به پنل کاربری دو مرحله ای می باشد. رمز دوم ورود به پنل کاربری به ایمیل شما ارسال خواهد شد.
                        </li>
                        <li>
                            یک <u>شماره موبایل معتبر</u> وارد نمایید. جهت فعالیت و انجام معامله در سایت، تایید شماره موبایل الزامی است.
                        </li>
                    </ul>
                </div>
            </div>

        </div>

    </div>
</section>


@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}